petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecSet

Sets all components of a vector to a single scalar value.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSet(Vec x,PetscScalar alpha)

Logically Collective on Vec

### Input Parameters

| x | - the vector
| alpha | - the scalar

### Output Parameter

x -the vector

### Note

For a vector of dimension n, VecSet() computes

        x[i] = alpha, for i=1,...,n,

so that all vector entries then equal the identical scalar value, alpha. Use the more general routine VecSetValues() to set different vector entries.

You CANNOT call this after you have called VecSetValues() but before you call VecAssemblyBegin/End().

### See Also

VecSetValues(), VecSetValuesBlocked(), VecSetRandom()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex12.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex43.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex2f.F.html

### Implementations

VecSet_Nest in src/vec/vec/impls/nest/vecnest.c
VecSet_Node in src/vec/vec/impls/node/vecnode.c
VecSet_Seq in src/vec/vec/impls/seq/dvec2.c
VecSet_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecSet_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages